- Home
- API Enriched
- Cdn
- cdn
- List of HTTPLB Operation Commands when Caching Enabled.
List of HTTPLB Operation Commands when Caching Enabled.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/http_loadbalancer/list-service-operations-status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"lastn":1,"name":"example","namespace":"example","time_range":{"finish_time":"example","start_time":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/http_loadbalancer/list-service-operations-status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "lastn": 1, "name": "example", "namespace": "example", "time_range": { "finish_time": "example", "start_time": "example" } }'List of service operations for a given HTTP LB when Caching Enabled.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace x-required The namespace this item belongs to.
Request Bodyrequired
Section titled “Request Bodyrequired”List Service Operations Request.
object
Exclusive with [time_range] The last n service operations.
Name of the CDN Distribution.
The namespace this item belongs to Required: YES.
object
A finish time for the time range in which the service operation status is requested. Format: unix_timestamp|RFC 3339 Required: YES.
A start time for the time range in which the service operation status is requested. Required: YES.
Examplegenerated
{ "lastn": 1, "name": "example", "namespace": "example", "time_range": { "finish_time": "example", "start_time": "example" }}Responses
Section titled “Responses”A successful response.
GET Service Operations Response.
object
object
object
A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one ”/” character. The last segment of the URL’s path must represent
the fully qualified name of the type (as in
path/google.protobuf.duration). The name should be in a canonical form
(e.g., leading ”.” is not accepted).
In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme HTTP, HTTPS, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:
- If no scheme is provided,
HTTPSis assumed. - An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
- Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)
Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.
Schemes other than HTTP, HTTPS (or the empty scheme) might be
used with implementation specific semantics.
Must be a valid serialized protocol buffer of the above specified type.
A human readable string of the error.
Items represents the collection in response.
List of Service Operations.
object
The service created time.
The service modified time.
The ID of the operation command.
The version info of the service.
Example
{ "error": { "code": "EOK" }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example